## imapfilter 1.0

=== Makefile ===
DESTDIR = /usr/local
BINDIR = /usr/local/bin
SHAREDIR = /usr/local/share/imapfilter
MANDIR = /usr/local/man

INCDIRS = -I/usr/local/include
LIBDIRS = -L/usr/local/lib

MYCFLAGS = -Wall -O
MYLDFLAGS = 

DEFS = -DMAKEFILE_SHAREDIR='"$(SHAREDIR)"'

CFLAGS = $(MYCFLAGS) $(DEFS) $(INCDIRS)
LDFLAGS = $(MYLDFLAGS) $(LIBDIRS)

LIBS = -lm -llua -llualib -lssl -lcrypto

MAN_BIN = imapfilter.1
MAN_CONFIG = imapfilter_config.5

INTERFACE_LUA = interface.lua
AUXILIARY_LUA = auxiliary.lua

BIN = imapfilter
OBJ = auth.o buffer.o cert.o core.o file.o imap.o imapfilter.o log.o lua.o \
	memory.o misc.o request.o response.o session.o signal.o socket.o \
	system.o

all: $(BIN)

$(BIN): $(OBJ)
	$(CC) -o $(BIN) $(LDFLAGS) $(OBJ) $(LIBS)

$(OBJ): imapfilter.h
buffer.o imap.o imapfilter.o request.o response.o: buffer.h
cert.o file.o imapfilter.o log.o lua.o: pathnames.h
imapfilter.o log.o session.o: queue.h
auth.o cert.o imap.o imapfilter.o log.o request.o response.o session.o \
	socket.o: session.h
imapfilter.o: version.h

install: $(BIN)
	if test ! -d $(BINDIR); then mkdir -p $(BINDIR); fi
	cp -f $(BIN) $(BINDIR) && chmod 0755 $(BINDIR)/$(BIN)
	if test ! -d $(SHAREDIR); then mkdir -p $(SHAREDIR); fi
	cp -f $(INTERFACE_LUA) $(SHAREDIR) && \
		chmod 0644 $(SHAREDIR)/$(INTERFACE_LUA)
	cp -f $(AUXILIARY_LUA) $(SHAREDIR) && \
		chmod 0644 $(SHAREDIR)/$(AUXILIARY_LUA)
	if test ! -d $(MANDIR)/man1; then mkdir -p $(MANDIR)/man1; fi
	cp -f $(MAN_BIN) $(MANDIR)/man1 && chmod 0644 $(MANDIR)/man1/$(MAN_BIN)
	if test ! -d $(MANDIR)/man5; then mkdir -p $(MANDIR)/man5; fi
	cp -f $(MAN_CONFIG) $(MANDIR)/man5 && chmod 0644 $(MANDIR)/man5/$(MAN_CONFIG)

deinstall:
	rm -f $(BINDIR)/$(BIN) $(SHAREDIR)/$(INTERFACE_LUA) \
		$(SHAREDIR)/$(AUXILIARY_LUA) $(MANDIR)/man1/$(MAN_BIN) \
		$(MANDIR)/man5/$(MAN_CONFIG)

uninstall: deinstall

clean:
	rm -f $(OBJ) $(BIN) imapfilter.core core *.BAK *~

distclean: clean
	@if test -f .Makefile; then mv -f .Makefile Makefile; fi

## imapfilter 1.0.1

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 uninstall: deinstall
 
 clean:
-	rm -f $(OBJ) $(BIN) imapfilter.core core *.BAK *~
+	rm -f $(OBJ) $(BIN) imapfilter.core core *.orig *.BAK *~
 
 distclean: clean
 	@if test -f .Makefile; then mv -f .Makefile Makefile; fi

## imapfilter 1.2.2

=== Makefile ===
--- 
+++ 
@@ -23,9 +23,9 @@
 AUXILIARY_LUA = auxiliary.lua
 
 BIN = imapfilter
-OBJ = auth.o buffer.o cert.o core.o file.o imap.o imapfilter.o log.o lua.o \
-	memory.o misc.o request.o response.o session.o signal.o socket.o \
-	system.o
+OBJ = auth.o buffer.o cert.o core.o file.o imap.o imapfilter.o list.o log.o \
+	lua.o memory.o misc.o namespace.o regexp.o request.o response.o \
+	session.o signal.o socket.o system.o
 
 all: $(BIN)
 
@@ -33,9 +33,10 @@
 	$(CC) -o $(BIN) $(LDFLAGS) $(OBJ) $(LIBS)
 
 $(OBJ): imapfilter.h
-buffer.o imap.o imapfilter.o request.o response.o: buffer.h
+buffer.o imap.o imapfilter.o namespace.o request.o response.o: buffer.h
 cert.o file.o imapfilter.o log.o lua.o: pathnames.h
-imapfilter.o log.o session.o: queue.h
+imapfilter.o log.o session.o: list.h
+imapfilter.o regexp.o response.o: regexp.h
 auth.o cert.o imap.o imapfilter.o log.o request.o response.o session.o \
 	socket.o: session.h
 imapfilter.o: version.h
@@ -49,9 +50,11 @@
 	cp -f $(AUXILIARY_LUA) $(SHAREDIR) && \
 		chmod 0644 $(SHAREDIR)/$(AUXILIARY_LUA)
 	if test ! -d $(MANDIR)/man1; then mkdir -p $(MANDIR)/man1; fi
-	cp -f $(MAN_BIN) $(MANDIR)/man1 && chmod 0644 $(MANDIR)/man1/$(MAN_BIN)
+	cp -f $(MAN_BIN) $(MANDIR)/man1 && \
+		chmod 0644 $(MANDIR)/man1/$(MAN_BIN)
 	if test ! -d $(MANDIR)/man5; then mkdir -p $(MANDIR)/man5; fi
-	cp -f $(MAN_CONFIG) $(MANDIR)/man5 && chmod 0644 $(MANDIR)/man5/$(MAN_CONFIG)
+	cp -f $(MAN_CONFIG) $(MANDIR)/man5 && \
+		chmod 0644 $(MANDIR)/man5/$(MAN_CONFIG)
 
 deinstall:
 	rm -f $(BINDIR)/$(BIN) $(SHAREDIR)/$(INTERFACE_LUA) \

## imapfilter 2.0.6

=== Makefile ===
DESTDIR =
BINDIR = /usr/local/bin
SHAREDIR = /usr/local/share/imapfilter
MANDIR = /usr/local/man

INCDIRS = -I/usr/local/include
LIBDIRS = -L/usr/local/lib

MYCFLAGS = -Wall -O
MYLDFLAGS = 

DEFS = -DMAKEFILE_SHAREDIR='"$(SHAREDIR)"'

CFLAGS = $(MYCFLAGS) $(DEFS) $(INCDIRS)
LDFLAGS = $(MYLDFLAGS) $(LIBDIRS)

LIBS = -lm -llua -lpcre -lssl -lcrypto

MAN_BIN = imapfilter.1
MAN_CONFIG = imapfilter_config.5

COMMON_LUA = common.lua
SET_LUA = set.lua
REGEX_LUA = regex.lua
ACCOUNT_LUA = account.lua
MAILBOX_LUA = mailbox.lua
MESSAGE_LUA = message.lua
OPTIONS_LUA = options.lua
AUXILIARY_LUA = auxiliary.lua
DEPRECATED_LUA = deprecated.lua

BIN = imapfilter
OBJ = auth.o buffer.o cert.o core.o file.o imap.o imapfilter.o list.o log.o \
	lua.o memory.o misc.o namespace.o pcre.o regexp.o request.o \
	response.o session.o signal.o socket.o system.o

all: $(BIN)

$(BIN): $(OBJ)
	$(CC) -o $(BIN) $(LDFLAGS) $(OBJ) $(LIBS)

$(OBJ): imapfilter.h
buffer.o imap.o imapfilter.o namespace.o request.o response.o: buffer.h
cert.o file.o imapfilter.o log.o lua.o: pathnames.h
imapfilter.o log.o session.o: list.h
imapfilter.o regexp.o response.o: regexp.h
auth.o cert.o imap.o imapfilter.o log.o request.o response.o session.o \
	socket.o: session.h
imapfilter.o: version.h

install: $(BIN)
	if test ! -d $(DESTDIR)$(BINDIR); then \
		mkdir -p $(DESTDIR)$(BINDIR); fi
	cp -f $(BIN) $(DESTDIR)$(BINDIR) && \
		chmod 0755 $(DESTDIR)$(BINDIR)/$(BIN)
	if test ! -d $(DESTDIR)$(SHAREDIR); then \
		mkdir -p $(DESTDIR)$(SHAREDIR); fi
	cp -f $(COMMON_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(COMMON_LUA)
	cp -f $(SET_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(SET_LUA)
	cp -f $(REGEX_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(REGEX_LUA)
	cp -f $(ACCOUNT_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(ACCOUNT_LUA)
	cp -f $(MAILBOX_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(MAILBOX_LUA)
	cp -f $(MESSAGE_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(MESSAGE_LUA)
	cp -f $(OPTIONS_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(OPTIONS_LUA)
	cp -f $(AUXILIARY_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(AUXILIARY_LUA)
	cp -f $(DEPRECATED_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(DEPRECATED_LUA)
	if test ! -d $(DESTDIR)$(MANDIR)/man1; then \
		mkdir -p $(DESTDIR)$(MANDIR)/man1; fi
	cp -f $(MAN_BIN) $(DESTDIR)$(MANDIR)/man1 && \
		chmod 0644 $(DESTDIR)$(MANDIR)/man1/$(MAN_BIN)
	if test ! -d $(DESTDIR)$(MANDIR)/man5; then \
		mkdir -p $(DESTDIR)$(MANDIR)/man5; fi
	cp -f $(MAN_CONFIG) $(DESTDIR)$(MANDIR)/man5 && \
		chmod 0644 $(DESTDIR)$(MANDIR)/man5/$(MAN_CONFIG)

deinstall:
	rm -f $(DESTDIR)$(BINDIR)/$(BIN) \
		$(DESTDIR)$(SHAREDIR)/$(COMMON_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(SET_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(REGEX_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(ACCOUNT_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(MAILBOX_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(MESSAGE_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(OPTIONS_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(AUXILIARY_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(DEPRECATED_LUA) \
		$(DESTDIR)$(MANDIR)/man1/$(MAN_BIN) \
		$(DESTDIR)$(MANDIR)/man5/$(MAN_CONFIG)

uninstall: deinstall

clean:
	rm -f $(OBJ) $(BIN) imapfilter.core core *.orig *.BAK *~

distclean: clean
	@if test -f .Makefile; then mv -f .Makefile Makefile; fi

## imapfilter 2.2.2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 INCDIRS = -I/usr/local/include
 LIBDIRS = -L/usr/local/lib
 
-MYCFLAGS = -Wall -O
+MYCFLAGS =  -Wall -O
 MYLDFLAGS = 
 
 DEFS = -DMAKEFILE_SHAREDIR='"$(SHAREDIR)"'

## imapfilter 2.2.3

=== Makefile ===
all install deinstall uninstall clean distclean:
	cd src && $(MAKE) $@

=== src/Makefile ===
DESTDIR =
BINDIR = /usr/local/bin
SHAREDIR = /usr/local/share/imapfilter
MANDIR = /usr/local/man

INCDIRS = -I/usr/local/include
LIBDIRS = -L/usr/local/lib

MYCFLAGS =  -Wall -O
MYLDFLAGS = 

DEFS = -DMAKEFILE_SHAREDIR='"$(SHAREDIR)"'

CFLAGS = $(MYCFLAGS) $(DEFS) $(INCDIRS)
LDFLAGS = $(MYLDFLAGS) $(LIBDIRS)

LIBS = -lm -llua -lpcre -lssl -lcrypto

MAN_BIN = imapfilter.1
MAN_CONFIG = imapfilter_config.5

COMMON_LUA = common.lua
SET_LUA = set.lua
REGEX_LUA = regex.lua
ACCOUNT_LUA = account.lua
MAILBOX_LUA = mailbox.lua
MESSAGE_LUA = message.lua
OPTIONS_LUA = options.lua
AUXILIARY_LUA = auxiliary.lua
DEPRECATED_LUA = deprecated.lua

BIN = imapfilter
OBJ = auth.o buffer.o cert.o core.o file.o imap.o imapfilter.o list.o log.o \
	lua.o memory.o misc.o namespace.o pcre.o regexp.o request.o \
	response.o session.o signal.o socket.o system.o

all: $(BIN)

$(BIN): $(OBJ)
	$(CC) -o $(BIN) $(LDFLAGS) $(OBJ) $(LIBS)

$(OBJ): imapfilter.h
buffer.o imap.o imapfilter.o namespace.o request.o response.o: buffer.h
cert.o file.o imapfilter.o log.o lua.o: pathnames.h
imapfilter.o log.o session.o: list.h
imapfilter.o regexp.o response.o: regexp.h
auth.o cert.o imap.o imapfilter.o log.o request.o response.o session.o \
	socket.o: session.h
imapfilter.o: version.h

install: $(BIN)
	if test ! -d $(DESTDIR)$(BINDIR); then \
		mkdir -p $(DESTDIR)$(BINDIR); fi
	cp -f $(BIN) $(DESTDIR)$(BINDIR) && \
		chmod 0755 $(DESTDIR)$(BINDIR)/$(BIN)
	if test ! -d $(DESTDIR)$(SHAREDIR); then \
		mkdir -p $(DESTDIR)$(SHAREDIR); fi
	cp -f $(COMMON_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(COMMON_LUA)
	cp -f $(SET_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(SET_LUA)
	cp -f $(REGEX_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(REGEX_LUA)
	cp -f $(ACCOUNT_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(ACCOUNT_LUA)
	cp -f $(MAILBOX_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(MAILBOX_LUA)
	cp -f $(MESSAGE_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(MESSAGE_LUA)
	cp -f $(OPTIONS_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(OPTIONS_LUA)
	cp -f $(AUXILIARY_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(AUXILIARY_LUA)
	cp -f $(DEPRECATED_LUA) $(DESTDIR)$(SHAREDIR) && \
		chmod 0644 $(DESTDIR)$(SHAREDIR)/$(DEPRECATED_LUA)
	if test ! -d $(DESTDIR)$(MANDIR)/man1; then \
		mkdir -p $(DESTDIR)$(MANDIR)/man1; fi
	cp -f ../doc/$(MAN_BIN) $(DESTDIR)$(MANDIR)/man1 && \
		chmod 0644 $(DESTDIR)$(MANDIR)/man1/$(MAN_BIN)
	if test ! -d $(DESTDIR)$(MANDIR)/man5; then \
		mkdir -p $(DESTDIR)$(MANDIR)/man5; fi
	cp -f ../doc/$(MAN_CONFIG) $(DESTDIR)$(MANDIR)/man5 && \
		chmod 0644 $(DESTDIR)$(MANDIR)/man5/$(MAN_CONFIG)

deinstall:
	rm -f $(DESTDIR)$(BINDIR)/$(BIN) \
		$(DESTDIR)$(SHAREDIR)/$(COMMON_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(SET_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(REGEX_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(ACCOUNT_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(MAILBOX_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(MESSAGE_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(OPTIONS_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(AUXILIARY_LUA) \
		$(DESTDIR)$(SHAREDIR)/$(DEPRECATED_LUA) \
		$(DESTDIR)$(MANDIR)/man1/$(MAN_BIN) \
		$(DESTDIR)$(MANDIR)/man5/$(MAN_CONFIG)

uninstall: deinstall

clean:
	rm -f $(OBJ) $(BIN) imapfilter.core core *.orig *.BAK *~

distclean: clean
	@if test -f .Makefile; then mv -f .Makefile Makefile; fi

=== debian/changelog ===
imapfilter (1:2.2.3-1) unstable; urgency=low

  * New upstream bufix release.
    (closes: #616646)
  * Moved to debian source format 3.0 and quilt.
  * Now imapfilter has moved to github, changed both debian/watch and 
    homepage field in debian/control.
  * Policy bumped to 3.9.1, with no changes.
  * Debhelper level set to 8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Mar 2011 00:11:51 +0100

imapfilter (1:2.2.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Policy bumped to 3.8.4, no changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 19 Apr 2010 17:08:06 +0200

imapfilter (1:2.2-1) unstable; urgency=low

  * New upstream release.
  * Added ${misc:Depends} macro to make lintian happy.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 19 Jan 2010 23:08:03 +0100

imapfilter (1:2.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 04 Dec 2009 00:22:57 +0100

imapfilter (1:2.0.11-1) unstable; urgency=low

  * New upstream release.
  * Debhelper level changed to 7.
  * Policy bumped to 3.8.3.
  * Patch Makefile.dpatch updated.
  * The debian/rules file has been cleaned and adapted to policy.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Sep 2009 14:01:33 +0200

imapfilter (1:2.0.10-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 20 Feb 2008 11:04:22 +0100

imapfilter (1:2.0.8-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 23 Dec 2007 09:14:17 +0100

imapfilter (1:2.0.6-1) unstable; urgency=low

  * New upstream release
  * Policy bumped to 3.7.3 (no changes).
  * Makefile.dapatch changed to remove -lm superfluous linking.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 11 Dec 2007 11:23:00 +0100

imapfilter (1:2.0.4-2) unstable; urgency=low

  * Fixed Makefile patch due to upstream changes in macros use. 
  (closes: #444944,#444945)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 02 Oct 2007 10:24:04 +0200

imapfilter (1:2.0.4-1) unstable; urgency=low

  * New upstream release. Makefile patch fixed.
  * Introduced homepage field in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 01 Oct 2007 17:35:12 +0200

imapfilter (1:2.0.3-1) unstable; urgency=low

  * New upstream release, with major bugfixes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Jul 2007 10:56:23 +0200

imapfilter (1:2.0.2-1) unstable; urgency=low

  * New upstream release. Fixes message caching issue.
    (closes: #431406)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 02 Jul 2007 12:47:45 +0200

imapfilter (1:2.0.1-1) unstable; urgency=low

  * New upstream release, fixes backward compatibility.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 29 Jun 2007 12:39:52 +0200

imapfilter (1:2.0-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 28 Jun 2007 14:39:24 +0200

imapfilter (1:1.3-1) unstable; urgency=low

  * New upstream release.
  * Moved to lua 5.1.
  * Added PCRE build-dependency.
  * Moved to debhelper level 5.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 24 Apr 2007 11:11:48 +0200

imapfilter (1:1.2.2-2) unstable; urgency=low

  * Added a missing watch file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  3 Aug 2006 14:43:23 +0200

imapfilter (1:1.2.2-1) unstable; urgency=low

  * New upstream release, with minor bug-fixes.
  * Policy bumped to 3.7.2 without changes.
  * Updated copyright file with new information
  * Added homepage to long description in debian/control

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  3 Aug 2006 14:22:16 +0200

imapfilter (1:1.2.1-1) unstable; urgency=medium

  * New upstream release
    (closes: #355506, #355925).
    Thanks a lot upstream and reporters. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 10 Mar 2006 10:33:20 +0100

imapfilter (1:1.2-1) unstable; urgency=low

  * New upstream release.
    (closes: #353965)
  * Moved to compatibility level 4, no changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri,  3 Mar 2006 17:12:28 +0100

imapfilter (1:1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Nov 2005 15:58:05 +0100

imapfilter (1:1.1-2) unstable; urgency=high

  * Removed a double free, present from old days in debian version.
    (closes: #326007)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 21 Sep 2005 13:22:49 +0200

imapfilter (1:1.1-1) unstable; urgency=low

  * New upstream release. 
  * Unapplied pathmax.dpatch, integrated upstream.
  * Introduced Makefile.dpatch to create a custom makefile instead of debian/Makefile.debian.
    That's more nice on updates.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 26 Aug 2005 12:19:48 +0200

imapfilter (1:1.0-2) unstable; urgency=low

  * Added dpatch support in rules and control files.
  * Added an upstream patch for hurd PATH_MAX problem.
    Now path names can be of any dimension.
    [ patch name: pathmax.dpatch ]
    (closes: #257090)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri,  9 Jul 2004 13:40:59 +0200

imapfilter (1:1.0-1) unstable; urgency=low

  * New upstream release. Now sample lua file is correct upstream too.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 25 May 2004 11:42:41 +0200

imapfilter (1.0rc4-2) unstable; urgency=low

  * Typo in the fixating example lua file. Now corrected.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 13 May 2004 11:10:25 +0200

imapfilter (1.0rc4-1) unstable; urgency=low

  * New upstream release
  * Fixating sample lua file sample.config.lua
    (closes: #248290)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 12 May 2004 12:37:49 +0200

imapfilter (1.0rc1-1) unstable; urgency=low



=== debian/control ===
Source: imapfilter
Section: mail
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), libssl-dev, liblua5.1-0-dev, libpcre3-dev
Standards-Version: 3.9.1
Homepage: https://github.com/lefcha/imapfilter

Package: imapfilter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: filter mail in your IMAP account
 Imapfilter is a client application that allows you to 
 filter mail in your imap mail account. When used in 
 conjunction with mutt, as your precommand, it allows
 you to have your mail sorted into imap folders.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp: 
	dh_testdir
	# No configuration is required
	touch $@

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) 
	touch $@

clean: real-clean 
real-clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/imapfilter/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress -X.lua
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure real-clean

## imapfilter 2.5.2

=== Makefile ===
all install uninstall clean:
	cd src && $(MAKE) $@

=== src/Makefile ===
DESTDIR =
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/imapfilter
MANDIR = $(PREFIX)/man

MYCFLAGS =
MYLDFLAGS =
MYLIBS =

INCDIRS =
LIBDIRS =

LIBLUA = -llua
LIBPCRE = -lpcre
LIBSSL = -lssl
LIBCRYPTO = -lcrypto

CFLAGS = -Wall -O -DCONFIG_SHAREDIR='"$(SHAREDIR)"' $(INCDIRS) $(MYCFLAGS)
LDFLAGS = $(LIBDIRS) $(MYLDFLAGS)
LIBS = -lm $(LIBLUA) $(LIBPCRE) $(LIBSSL) $(LIBCRYPTO) $(MYLIBS)

MAN1 = imapfilter.1
MAN5 = imapfilter_config.5

LUA = common.lua set.lua regex.lua account.lua mailbox.lua message.lua \
      options.lua auxiliary.lua

BIN = imapfilter
OBJ = auth.o buffer.o cert.o core.o file.o imapfilter.o list.o log.o lua.o \
      memory.o misc.o namespace.o pcre.o regexp.o request.o response.o \
      session.o signal.o socket.o system.o

all: $(BIN)

$(BIN): $(OBJ)
	$(CC) -o $(BIN) $(LDFLAGS) $(OBJ) $(LIBS)

$(OBJ): imapfilter.h
buffer.o: buffer.h 
cert.o: pathnames.h session.h
file.o: pathnames.h
imapfilter.o: buffer.h list.h pathnames.h regexp.h session.h version.h
list.o: list.h
log.o: list.h pathnames.h session.h
lua.o: pathnames.h
namespace.o: buffer.h 
regexp.o: regexp.h
request.o: buffer.h session.h
response.o: buffer.h regexp.h session.h
session.o: list.h session.h
socket.o: session.h

install: $(BIN)
	mkdir -p $(DESTDIR)$(BINDIR) && \
	cp -f $(BIN) $(DESTDIR)$(BINDIR) && \
	chmod 0755 $(DESTDIR)$(BINDIR)/$(BIN)
	mkdir -p $(DESTDIR)$(SHAREDIR) && \
	cp -f $(LUA) $(DESTDIR)$(SHAREDIR) && \
	chmod 0644 $(DESTDIR)$(SHAREDIR)/$(LUA)
	mkdir -p $(DESTDIR)$(MANDIR)/man1 && \
	cp -f ../doc/$(MAN1) $(DESTDIR)$(MANDIR)/man1 && \
	chmod 0644 $(DESTDIR)$(MANDIR)/man1/$(MAN1)
	mkdir -p $(DESTDIR)$(MANDIR)/man5 && \
	cp -f ../doc/$(MAN5) $(DESTDIR)$(MANDIR)/man5 && \
	chmod 0644 $(DESTDIR)$(MANDIR)/man5/$(MAN5)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(BIN)
	cd $(DESTDIR)$(SHAREDIR) && rm -f $(LUA)
	rm -f $(DESTDIR)$(MANDIR)/man1/$(MAN1)
	rm -f $(DESTDIR)$(MANDIR)/man5/$(MAN5)

clean:
	rm -f $(OBJ) $(BIN) *~

=== debian/changelog ===
imapfilter (1:2.5.2-2) unstable; urgency=low

  * Man pages moved to correct location. Fixed Makefile patch for that.
    (closes: #674800)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 May 2012 12:25:10 +0200

imapfilter (1:2.5.2-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.9.3. No changes required.
  * Now building with Lua 5.2.
  * Debhelper level set to 9.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 25 May 2012 12:55:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>= 8), libssl-dev, liblua5.1-0-dev, libpcre3-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), libssl-dev, liblua5.2-dev, libpcre3-dev
+Standards-Version: 3.9.3
 Homepage: https://github.com/lefcha/imapfilter
 
 Package: imapfilter

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/imapfilter/usr
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/imapfilter
 
 # Build architecture-independent files here.
 binary-indep: build install

=== debian/watch ===
version=3
http://githubredir.debian.net/github/lefcha/imapfilter (.+).tar.gz

## imapfilter 2.6.2

=== src/Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 LIBSSL = -lssl
 LIBCRYPTO = -lcrypto
 
-CFLAGS = -Wall -O -DCONFIG_SHAREDIR='"$(SHAREDIR)"' $(INCDIRS) $(MYCFLAGS)
+CFLAGS = -Wall -Wextra -O -DCONFIG_SHAREDIR='"$(SHAREDIR)"' $(INCDIRS) $(MYCFLAGS)
 LDFLAGS = $(LIBDIRS) $(MYLDFLAGS)
-LIBS = -lm $(LIBLUA) $(LIBPCRE) $(LIBSSL) $(LIBCRYPTO) $(MYLIBS)
+LIBS = -lm -ldl $(LIBLUA) $(LIBPCRE) $(LIBSSL) $(LIBCRYPTO) $(MYLIBS)
 
 MAN1 = imapfilter.1
 MAN5 = imapfilter_config.5

=== debian/changelog ===
imapfilter (1:2.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Aug 2015 09:45:20 +0200

imapfilter (1:2.5.7-1) unstable; urgency=medium

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Apr 2015 09:10:26 +0200

imapfilter (1:2.5.7-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #649543)
  * Switch to dh
  * Fix the watch file
  * Standards-Version updated to 3.9.6
  * Add myself to the uploaders
  * Add Vcs-Browser Vcs-Git tags

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Jan 2015 19:26:18 +0100

## imapfilter 2.6.4

=== debian/changelog ===
imapfilter (1:2.6.4-1) unstable; urgency=medium

  * New upstream release
  * Remove the usage of SSLv3. Thanks to Andy Whitcroft for the patch
    (Closes: #804457)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Dec 2015 14:09:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: mail
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), libssl-dev, liblua5.2-dev, libpcre3-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: https://github.com/lefcha/imapfilter
+Vcs-Git: git://git.debian.org/collab-maint/imapfilter.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/imapfilter.git;a=summary
 
 Package: imapfilter
 Architecture: any

## imapfilter 2.6.6

=== debian/changelog ===
imapfilter (1:2.6.6-1ubuntu1) yakkety; urgency=medium

  * Remove the usage of SSLv3.  Refresh and reapply dropped patch.
    (Closes: #804457)  (LP: #1579671)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 09 May 2016 10:43:53 +0100

imapfilter (1:2.6.6-1) unstable; urgency=medium

  * New upstream release
  * Disable SSLv3 in the OpenSSL backend when OPENSSL_NO_SSL3_METHOD is
    defined (Closes: #808393)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Mar 2016 10:23:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: imapfilter
 Section: mail
 Priority: optional
-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), libssl-dev, liblua5.2-dev, libpcre3-dev
 Standards-Version: 3.9.6

## imapfilter 2.6.10

=== debian/changelog ===
imapfilter (1:2.6.10-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Dec 2016 18:35:26 +0100

imapfilter (1:2.6.8-1) unstable; urgency=medium

  * New upstream release
    Support OpenSSL 1.1.0 (Closes: #828350)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Nov 2016 14:49:31 +0100

imapfilter (1:2.6.7-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 3.9.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Jun 2016 23:16:27 +0200

=== debian/control ===
Source: imapfilter
Section: mail
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 9), libssl-dev, liblua5.2-dev, libpcre3-dev
Standards-Version: 3.9.8
Homepage: https://github.com/lefcha/imapfilter
Vcs-Git: git://git.debian.org/collab-maint/imapfilter.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/imapfilter.git;a=summary

Package: imapfilter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: filter mail in your IMAP account
 Imapfilter is a client application that allows you to
 filter mail in your imap mail account. When used in
 conjunction with mutt, as your precommand, it allows
 you to have your mail sorted into imap folders.

## imapfilter 2.6.11

=== debian/changelog ===
imapfilter (1:2.6.11-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:03 +0000

imapfilter (1:2.6.11-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.1.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Nov 2017 21:41:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: imapfilter
 Section: mail
 Priority: optional
-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), libssl-dev, liblua5.2-dev, libpcre3-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/lefcha/imapfilter
 Vcs-Git: git://git.debian.org/collab-maint/imapfilter.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/imapfilter.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	make clean

## imapfilter 2.6.12

=== debian/changelog ===
imapfilter (1:2.6.12-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.2.1
  * Package moved on salsa
  * Compat mode move to 9

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Oct 2018 11:41:07 +0200

## imapfilter 2.6.16

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
-DESTDIR =
-PREFIX = /usr/local
+DESTDIR ?=
+PREFIX ?= /usr/local
 BINDIR = $(PREFIX)/bin
 SHAREDIR = $(PREFIX)/share/imapfilter
 MANDIR = $(PREFIX)/man
+
+SSLCAPATH = /etc/ssl/certs
+SSLCAFILE = /etc/ssl/cert.pem
 
 MYCFLAGS =
 MYLDFLAGS =
@@ -16,7 +19,11 @@
 LIBSSL = -lssl
 LIBCRYPTO = -lcrypto
 
-CFLAGS = -Wall -Wextra -O -DCONFIG_SHAREDIR='"$(SHAREDIR)"' $(INCDIRS) $(MYCFLAGS)
+CFLAGS = -Wall -Wextra -O \
+	 -DCONFIG_SHAREDIR='"$(SHAREDIR)"' \
+	 -DCONFIG_SSL_CAPATH='"$(SSLCAPATH)"' \
+	 -DCONFIG_SSL_CAFILE='"$(SSLCAFILE)"' \
+	 $(INCDIRS) $(MYCFLAGS)
 LDFLAGS = $(LIBDIRS) $(MYLDFLAGS)
 LIBS = -lm -ldl $(LIBLUA) $(LIBPCRE) $(LIBSSL) $(LIBCRYPTO) $(MYLIBS)

=== debian/changelog ===
imapfilter (1:2.6.16-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Nov 2019 08:59:05 +0100

imapfilter (1:2.6.15-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Nov 2019 11:14:08 +0100

imapfilter (1:2.6.13-1) unstable; urgency=medium

  * New upstream release
    - Validates the hostname (Closes: #939702)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Sep 2019 16:10:51 +0200

=== debian/control ===
Source: imapfilter
Section: mail
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 9), libssl-dev, liblua5.2-dev, libpcre3-dev
Standards-Version: 4.2.1
Homepage: https://github.com/lefcha/imapfilter
Vcs-Git: https://salsa.debian.org/debian/imapfilter.git
Vcs-Browser: https://salsa.debian.org/debian/imapfilter

Package: imapfilter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: filter mail in your IMAP account
 Imapfilter is a client application that allows you to
 filter mail in your imap mail account. When used in
 conjunction with mutt, as your precommand, it allows
 you to have your mail sorted into imap folders.

## imapfilter 2.7.5

=== src/Makefile ===
--- 
+++ 
@@ -3,9 +3,6 @@
 BINDIR = $(PREFIX)/bin
 SHAREDIR = $(PREFIX)/share/imapfilter
 MANDIR = $(PREFIX)/man
-
-SSLCAPATH = /etc/ssl/certs
-SSLCAFILE = /etc/ssl/cert.pem
 
 MYCFLAGS =
 MYLDFLAGS =
@@ -19,11 +16,7 @@
 LIBSSL = -lssl
 LIBCRYPTO = -lcrypto
 
-CFLAGS = -Wall -Wextra -O \
-	 -DCONFIG_SHAREDIR='"$(SHAREDIR)"' \
-	 -DCONFIG_SSL_CAPATH='"$(SSLCAPATH)"' \
-	 -DCONFIG_SSL_CAFILE='"$(SSLCAFILE)"' \
-	 $(INCDIRS) $(MYCFLAGS)
+CFLAGS = -Wall -Wextra -O -DCONFIG_SHAREDIR='"$(SHAREDIR)"' $(INCDIRS) $(MYCFLAGS)
 LDFLAGS = $(LIBDIRS) $(MYLDFLAGS)
 LIBS = -lm -ldl $(LIBLUA) $(LIBPCRE) $(LIBSSL) $(LIBCRYPTO) $(MYLIBS)

=== debian/changelog ===
imapfilter (1:2.7.5-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Dec 2020 18:03:05 +0100

imapfilter (1:2.7.4-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Nov 2020 22:59:34 +0100

imapfilter (1:2.7.2-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release
  * Add libpcre2-dev in the build dep

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove patch ubuntu-switch-to-SSLv23_client_method-and-use-CTX-
    options-to-select-protocol.patch that is missing from
    debian/patches/series.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 12 Nov 2020 10:33:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 9), libssl-dev, liblua5.2-dev, libpcre3-dev
+Build-Depends: debhelper-compat (= 12), libssl-dev, liblua5.2-dev, libpcre3-dev,
+ libpcre2-dev
 Standards-Version: 4.2.1
 Homepage: https://github.com/lefcha/imapfilter
 Vcs-Git: https://salsa.debian.org/debian/imapfilter.git

## imapfilter 2.7.6

=== debian/changelog ===
imapfilter (1:2.7.6-1) unstable; urgency=medium

  [ Francesco Paolo Lovergine ]
  * Updated debian/copyright to machine-readable format, with new homepage.
  * Added DEP-3 header to patch.
  * Moved dh-compat to 13.
  * Policy bumped to 4.5.1, no changes.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 12 Aug 2022 10:54:35 +0200

## imapfilter 2.8.1

=== debian/changelog ===
imapfilter (1:2.8.1-1) unstable; urgency=medium

  * New upstream release
  * Remove NEWS files

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Jan 2023 23:08:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper-compat (= 12), libssl-dev, liblua5.2-dev, libpcre3-dev,
+Build-Depends: debhelper-compat (= 13), libssl-dev, liblua5.2-dev, libpcre3-dev,
  libpcre2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/lefcha/imapfilter
 Vcs-Git: https://salsa.debian.org/debian/imapfilter.git
 Vcs-Browser: https://salsa.debian.org/debian/imapfilter

## imapfilter 2.8.2+1

=== debian/changelog ===
imapfilter (1:2.8.2+1-0.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:07:11 +1100

imapfilter (1:2.8.2+1-0.2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:14:48 +0000

imapfilter (1:2.8.2+1-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Source-only upload

 -- Agathe Porte <gagath@debian.org>  Sun, 28 Jan 2024 15:02:50 +0100

imapfilter (1:2.8.2+1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.8.2+1 (Closes: #1060449, #997092)

 -- Agathe Porte <gagath@debian.org>  Tue, 23 Jan 2024 14:18:54 +0100

imapfilter (1:2.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Jan 2024 09:21:42 +0100

imapfilter (1:2.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop Build-Depends: libpcre3-dev (Closes: #1053902)
  * Build with lua 5.4 (Closes: #1050598)

 -- Bastian Germann <bage@debian.org>  Fri, 13 Oct 2023 22:06:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: imapfilter
 Section: mail
 Priority: optional
-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper-compat (= 13), libssl-dev, liblua5.2-dev, libpcre3-dev,
+Build-Depends: debhelper-compat (= 13), libssl-dev, liblua5.4-dev,
  libpcre2-dev
 Standards-Version: 4.5.1
 Homepage: https://github.com/lefcha/imapfilter

## imapfilter 2.8.3

=== Makefile ===
all install uninstall clean:
	cd src && $(MAKE) $@

TAG = $(shell git describe --abbrev=0 --tags)
VERSION = $(shell echo $(TAG) | sed s/^v//)
FORMAT = tar.gz

dist:
	@ if [ -n "`git tag --list $(TAG)`" ]; \
	then \
		git archive --verbose --format=$(FORMAT) \
		--prefix=imapfilter-$(VERSION)/ \
		--output=imapfilter-$(VERSION).$(FORMAT) v$(VERSION); \
		echo "Created Git archive: imapfilter-$(VERSION).$(FORMAT)"; \
	else \
		echo "No such tag in the Git repository: $(TAG)"; \
	fi

distclean:
	rm -f imapfilter-*.*

=== src/Makefile ===
--- 
+++ 
@@ -3,6 +3,9 @@
 BINDIR = $(PREFIX)/bin
 SHAREDIR = $(PREFIX)/share/imapfilter
 MANDIR = $(PREFIX)/man
+
+SSLCAPATH = /etc/ssl/certs
+SSLCAFILE = /etc/ssl/cert.pem
 
 MYCFLAGS =
 MYLDFLAGS =
@@ -12,11 +15,15 @@
 LIBDIRS =
 
 LIBLUA = -llua
-LIBPCRE = -lpcre
+LIBPCRE = -lpcre2-8
 LIBSSL = -lssl
 LIBCRYPTO = -lcrypto
 
-CFLAGS = -Wall -Wextra -O -DCONFIG_SHAREDIR='"$(SHAREDIR)"' $(INCDIRS) $(MYCFLAGS)
+CFLAGS = -Wall -Wextra -O \
+	 -DCONFIG_SHAREDIR='"$(SHAREDIR)"' \
+	 -DCONFIG_SSL_CAPATH='"$(SSLCAPATH)"' \
+	 -DCONFIG_SSL_CAFILE='"$(SSLCAFILE)"' \
+	 $(INCDIRS) $(MYCFLAGS)
 LDFLAGS = $(LIBDIRS) $(MYLDFLAGS)
 LIBS = -lm -ldl $(LIBLUA) $(LIBPCRE) $(LIBSSL) $(LIBCRYPTO) $(MYLIBS)
 
@@ -27,7 +34,7 @@
       options.lua auxiliary.lua
 
 BIN = imapfilter
-OBJ = auth.o buffer.o cert.o core.o file.o imapfilter.o list.o log.o lua.o \
+OBJ = buffer.o cert.o core.o file.o imapfilter.o list.o log.o lua.o \
       memory.o misc.o namespace.o pcre.o regexp.o request.o response.o \
       session.o signal.o socket.o system.o

=== debian/changelog ===
imapfilter (1:2.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 17 Aug 2025 21:28:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: imapfilter
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
+Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, liblua5.4-dev,
  libpcre2-dev

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	make clean

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/imapfilter-$1.tar.gz/" \
 https://github.com/lefcha/imapfilter/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
